[Unit]
Description=Bastion firewall manager
ConditionPathExists=/usr/lib/eole/forteresse.sh
ConditionPathExists=!/var/lock/bastion
After=multi-user.target

[Service]
Type=oneshot
RemainAfterExit=yes
ExecStart=/usr/sbin/bastion start --systemd
ExecStartPost=/usr/bin/touch /var/lock/bastion
ExecStop=/usr/sbin/bastion stop --systemd
ExecStopPost=/bin/rm -rf /var/lock/bastion

[Install]
WantedBy=multi-user.target
